com.smartgwt.client.tools

## Class LabelEditProxy

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.tools.EditProxy
    - - com.smartgwt.client.tools.CanvasEditProxy
      - - com.smartgwt.client.tools.StatefulCanvasEditProxy
        - - com.smartgwt.client.tools.LabelEditProxy

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class LabelEditProxy
      extends StatefulCanvasEditProxy

  `EditProxy` that handles `Label` and `SectionHeader` objects when editMode is enabled.
  See Also:
    `DevTools overview and related methods`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelEditProxy()`
    `LabelEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `void` | `getInlineEditText()` Returns the text based on the current component state to be edited inline.
    `static LabelEditProxy` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setInlineEditText(java.lang.String newValue)` Save the new value into the component's state.

    - ### Methods inherited from class com.smartgwt.client.tools.EditProxy

      `getAllowNestedDrops, getAutoMaskChildren, getBringToFrontOnSelect, getCanSelect, getCanSelectChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getEditMask, getHoopSelector, getInlineEditEvent, getInlineEditForm, getInlineEditInstructionLabel, getInlineEditInstructions, getInlineEditMultiline, getInlineEditOnDrop, getJsObj, getOrCreateJsObj, getPersistCoordinates, getSelectedAppearance, getSelectedBorder, getSelectedLabelBackgroundColor, getSelectedTintColor, getSelectedTintOpacity, getSupportsInlineEdit, isCreated, setAllowNestedDrops, setAutoMaskChildren, setBringToFrontOnSelect, setCanSelect, setCanSelectChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setInlineEditEvent, setInlineEditInstructions, setInlineEditMultiline, setInlineEditOnDrop, setJavaScriptObject, setPersistCoordinates, setSelectedAppearance, setSelectedBorder, setSelectedLabelBackgroundColor, setSelectedTintColor, setSelectedTintOpacity, setSupportsInlineEdit, showSelectedAppearance, startInlineEditing, startInlineEditing`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `applyFactoryProperties, asSGWTComponent, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getScClassName, getTestInstance, hasAutoAssignedID, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelEditProxy

          public LabelEditProxy()

    - #### LabelEditProxy

          public LabelEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static LabelEditProxy getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `StatefulCanvasEditProxy`

    - #### getInlineEditText

          public void getInlineEditText()

      Returns the text based on the current component state to be edited inline. Called by the `EditProxy.inlineEditForm` to obtain the starting edit value.

      Returns the component's `contents`.

      Overrides:
        `getInlineEditText` in class `StatefulCanvasEditProxy`

    - #### setInlineEditText

          public void setInlineEditText(java.lang.String newValue)

      Save the new value into the component's state. Called by the `EditProxy.inlineEditForm` to commit the change.

      Updates the component's `contents`.

      Overrides:
        `setInlineEditText` in class `StatefulCanvasEditProxy`
      Parameters:
        `newValue` - the new component contents